OKAMI NEWSREADER MANUAL PAGES

NAME
     alias: alias management module

SYNOPSIS
     alias { options } { alias } { expansion(s) }

DESCRIPTION
     `alias' sets or removes aliases for later expansion into actual 
     email adresses. The aliases are stored in the alias file as 
     specified in o.inf. Default is .\alias. All aliases in the `To:' 
     `Cc:', and `Bcc:' header fields of messages will be expanded into 
     their full email addresses by oexport.
     
     In the following, arguments to the program that are options will 
     be referred to as `options', and non-optional arguments will be 
     referred to as `arguments'.
     
     Started without an argument, alias runs in interactive mode and 
     prompts for an alias name. Pressing RETURN on an empty line will 
     terminate the program. If the name is an alias, its expansion 
     will be shown.
     
     Started with one argument, if the argument is an alias name, its 
     expansion will be shown.
     
     If there's more than one argument, the first argument is taken as 
     a name for an alias to be set, with the rest of the command line 
     as a comma or space separated list of expansions. If the name 
     already is an alias, the expansions will be added to its list, if 
     they are really new.
     
       NOTE: The expansions on the command line may be separated by a 
       comma or a whitespace, but NOT both.
     
     With option -r, the arguments on the command line will be taken 
     as a list of aliases to be removed from the alias file. If no 
     aliases are left, the file is deteled.
     
OPTIONS
     -h
       hold screen
     
     -v
       print version number and exit
     
     -?
       print usage and exit
     
     -F f
       use file `f' as configuration file
       
     -r
       remove alias(es)

EXAMPLES
     To view the expansion of a single alias, type
     
       alias aliasname
     
     and the program will print the expansion of `aliasname', or 
     prompt that `aliasname' is not an alias.
     
     To set an alias `John' for the actual email address 
     `john@site.dom', type
     
       alias John john@site.dom
       
     and the alias `John' will be added to the alias file.
     
     To set an alias for a group of email addresses, type:
     
       alias groupname address1,address2 address3 address4 ...
     
     To remove an alias, or aliases, type
       
       alias aliasname1 aliasname2 ...
       
       NOTE: The items in the list of aliases to be removed MUST be 
       separated by whitespaces.
       
ENVIRONMENT
	   O_INF
       name of default o.inf file

FILES
     o.inf alias

BUGS
     Please report if you find any.
  
AUTHOR
     Jos den Bekker <josdb@xs4all.nl>
  
DATE
	Jan 25 1998

